Look up a sanitized signed receipt by hash.
Public companion lookup for signed receipt commitments. The response omits prompts, outputs, API keys, customer tokens, and exact private routing secrets.
GET
/v1/receipts/{receipt_hash}
Public companion lookup for signed receipt commitments. The response
omits prompts, outputs, API keys, customer tokens, and exact private
routing secrets.
Path Parameters
receipt_hash
string
required
path
Responses
200
Sanitized receipt detail.
application/jsonreceipt_hash
string
node_id
string
job_id
string
node_class
string
model_id
string
signature_ed25519
string
status
string
received_at
string (date-time)
batch_id
string
receipt
object
default
B3IQ-native problem response.
curl -X GET 'https://{controlPlaneHost}/v1/receipts/string'
const response = await fetch('https://{controlPlaneHost}/v1/receipts/string', { method: 'GET'});const data = await response.json();console.log(data);
200
Response
{ "receipt_hash": "<string>", "node_id": "<string>", "job_id": "<string>", "node_class": "<string>", "model_id": "<string>", "signature_ed25519": "<string>", "status": "<string>", "received_at": "2024-01-01T00:00:00Z", "batch_id": "<string>", "receipt": "<object>"}
API Playground
Try this endpoint
GET
/v1/receipts/{receipt_hash}
